VisitorSupport (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j
Class VisitorSupport

    java.lang.Object
      org.dom4j.VisitorSupport

All Implemented Interfaces:
  Visitor

public abstract class VisitorSupport
extends Object
implements Visitor

`VisitorSupport` is an abstract base class which is useful for implementation inheritence or when using anonymous inner classes to create simple `Visitor` implementations.

Version:
  $Revision: 1.6 $
Author:
  James Strachan

Constructor Summary
`VisitorSupport()`

Method Summary
`void` | `visit(Attribute node)` Visits the given `Attribute`
`void` | `visit(CDATA node)` Visits the given `CDATA`
`void` | `visit(Comment node)` Visits the given `Comment`
`void` | `visit(Document document)` Visits the given `Document`
`void` | `visit(DocumentType documentType)` Visits the given `DocumentType`
`void` | `visit(Element node)` Visits the given `Element`
`void` | `visit(Entity node)` Visits the given `Entity`
`void` | `visit(Namespace namespace)` Visits the given `Namespace`
`void` | `visit(ProcessingInstruction node)` Visits the given `ProcessingInstruction`
`void` | `visit(Text node)` Visits the given `Text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisitorSupport

    public VisitorSupport()

Method Detail

### visit

    public void visit(Document document)

  Description copied from interface: `Visitor`

  Visits the given `Document`

  Specified by:
    `visit` in interface `Visitor`
  Parameters:
    `document` - is the `Document` node to visit.

### visit

    public void visit(DocumentType documentType)

  Description copied from interface: `Visitor`

  Visits the given `DocumentType`

  Specified by:
    `visit` in interface `Visitor`
  Parameters:
    `documentType` - is the `DocumentType` node to visit.

### visit

    public void visit(Element node)

  Description copied from interface: `Visitor`

  Visits the given `Element`

  Specified by:
    `visit` in interface `Visitor`
  Parameters:
    `node` - is the `Element` node to visit.

### visit

    public void visit(Attribute node)

  Description copied from interface: `Visitor`

  Visits the given `Attribute`

  Specified by:
    `visit` in interface `Visitor`
  Parameters:
    `node` - is the `Attribute` node to visit.

### visit

    public void visit(CDATA node)

  Description copied from interface: `Visitor`

  Visits the given `CDATA`

  Specified by:
    `visit` in interface `Visitor`
  Parameters:
    `node` - is the `CDATA` node to visit.

### visit

    public void visit(Comment node)

  Description copied from interface: `Visitor`

  Visits the given `Comment`

  Specified by:
    `visit` in interface `Visitor`
  Parameters:
    `node` - is the `Comment` node to visit.

### visit

    public void visit(Entity node)

  Description copied from interface: `Visitor`

  Visits the given `Entity`

  Specified by:
    `visit` in interface `Visitor`
  Parameters:
    `node` - is the `Entity` node to visit.

### visit

    public void visit(Namespace namespace)

  Description copied from interface: `Visitor`

  Visits the given `Namespace`

  Specified by:
    `visit` in interface `Visitor`
  Parameters:
    `namespace` - is the `Namespace` node to visit.

### visit

    public void visit(ProcessingInstruction node)

  Description copied from interface: `Visitor`

  Visits the given `ProcessingInstruction`

  Specified by:
    `visit` in interface `Visitor`
  Parameters:
    `node` - is the `ProcessingInstruction` node to visit.

### visit

    public void visit(Text node)

  Description copied from interface: `Visitor`

  Visits the given `Text`

  Specified by:
    `visit` in interface `Visitor`
  Parameters:
    `node` - is the `Text` node to visit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.